## org.eclipse.emf.query.conditions
Interface IDataTypeAdapter<T>

Type Parameters:
  `T` - the type of object to which the adapter adapts values

All Known Implementing Classes:
  BooleanAdapter, NumberAdapter, NumberAdapter.ByteAdapter, NumberAdapter.DoubleAdapter, NumberAdapter.FloatAdapter, NumberAdapter.IntegerAdapter, NumberAdapter.LongAdapter, NumberAdapter.ShortAdapter, StringAdapter

    public interface IDataTypeAdapter<T>

An object that knows how to adapt objects to a given type.

Since:
  1.2

Method Summary
`T` `adapt(Object value)` Adapts the specified input value to the type that I provide.

Method Detail

### adapt

    T adapt(Object value)

  Adapts the specified input value to the type that I provide.

  Parameters:
    `value` - the input value
  Returns:
    the corresponding output value
  Since:
    1.2

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.